Bullet Collision Detection & Physics Library: MassPreconditioner Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
MassPreconditioner Class Reference

`#include <btPreconditioner.h>`

Inheritance diagram for MassPreconditioner:
[legend]
Collaboration diagram for MassPreconditioner:
[legend]

## Public Member Functions
| MassPreconditioner (const btAlignedObjectArray< btSoftBody * > &softBodies)
virtual void | reinitialize (bool nodeUpdated)
virtual void | operator() (const TVStack &x, TVStack &b)
Public Member Functions inherited from Preconditioner
virtual void | operator() (const TVStack &x, TVStack &b)=0
virtual void | reinitialize (bool nodeUpdated)=0
virtual | ~Preconditioner ()

## Private Attributes
btAlignedObjectArray< btScalar > | m_inv_mass
const btAlignedObjectArray< btSoftBody * > & | m_softBodies

## Additional Inherited Members
Public Types inherited from Preconditioner
typedef btAlignedObjectArray< btVector3 > | TVStack

## Detailed Description

Definition at line 44 of file btPreconditioner.h.

## Constructor & Destructor Documentation

## ◆ MassPreconditioner()

MassPreconditioner::MassPreconditioner | ( | const btAlignedObjectArray< btSoftBody * > & | softBodies | ) |
| inline

Definition at line 50 of file btPreconditioner.h.

## Member Function Documentation

## ◆ operator()()

virtual void MassPreconditioner::operator() | ( | const TVStack & | x,
|  | TVStack & | b
| ) |  |
| inlinevirtual

Implements Preconditioner.

Definition at line 69 of file btPreconditioner.h.

## ◆ reinitialize()

virtual void MassPreconditioner::reinitialize | ( | bool | nodeUpdated | ) |
| inlinevirtual

Implements Preconditioner.

Definition at line 55 of file btPreconditioner.h.

## Member Data Documentation

## ◆ m_inv_mass

btAlignedObjectArray<btScalar> MassPreconditioner::m_inv_mass
| private

Definition at line 46 of file btPreconditioner.h.

## ◆ m_softBodies

const btAlignedObjectArray<btSoftBody*>& MassPreconditioner::m_softBodies
| private

Definition at line 47 of file btPreconditioner.h.

The documentation for this class was generated from the following file:

- btPreconditioner.h